class Lunch:
    def __init__(self):                          # Utworzenie/osadzenie klas Customer oraz Employee
        self.cust = Customer()
        self.empl = Employee()
    def order(self, foodName):                   # Rozpoczęcie symulacji zamówienia klienta Customer
        self.cust.placeOrder(foodName, self.empl)
    def result(self):                            # Zapytanie klienta Customer o jego jedzenie Food
        self.cust.printFood()

class Customer:
    def __init__(self):                          # Inicjalizacja mojego jedzenia na None
        self.food = None
    def placeOrder(self, foodName, employee):    # Złożenie zamówienia pracownikowi Employee
        self.food = employee.takeOrder(foodName)
    def printFood(self):                         # Wyświetlenie nazwy mojego jedzenia
        print(self.food.name)

class Employee:
    def takeOrder(self, foodName):               # Zwrócenie jedzenia Food o żądanej nazwie
        return Food(foodName)

class Food:
    def __init__(self, name):                    # Przechowanie nazwy jedzenia
        self.name = name

if __name__ == '__main__':
    x = Lunch()                                  # Kod samosprawdzający
    x.order('burritos')                          # Jeśli plik jest wykonywany, nie importowany
    x.result()
    x.order('pizza')
    x.result()

